<!--
  @description:采购-采购人-竞价大厅-最低报价趋势
  @Modifier:gmy
  @routerPath:
  @date:2020/5/9-15:48
-->
<template>
  <div class="offer-echarts">
    <p>最低报价趋势</p>
    <!-- 最低报价趋势组件-->
    <offerApxecharts />
  </div>
</template>

<script>
/* api接口*/
import { getPriceTrend } from '@/api/procurement/procurementOffer'
import offerApxecharts from './proBiddingApxecharts-detail'
export default {
  name: 'ProOfferLowestDetailVue',
  components: {
    offerApxecharts
  },
  data() {
    return {
      lowerData: [] // 报价趋势数组
    }
  },
  created() {
    const packId = this.$route.query.packId
    if (packId) {
      this.getPriceTrendData(packId)
    }
  },
  methods: {
    // 获取采购人报价趋势方法
    getPriceTrendData(packId) {
      getPriceTrend(packId).then(res => {
        this.lowerData = res.data
      }).catch(() => {})
    }
  }
}
</script>

<style lang="less" scoped>
</style>
